
OPT MODULE
OPT EXPORT
OPT PREPROCESS

MODULE 'utility/tagitem',
       'exec/types',
       'exec/nodes',
       'exec/ports'

CONST RTG_DUMMY=TAG_USER

CONST RTG_BUFFERS=     RTG_DUMMY+$01
CONST RTG_INTERLEAVED= RTG_DUMMY+$02
CONST RTG_DRAGGABLE=   RTG_DUMMY+$03
CONST RTG_EXCLUSIVE=   RTG_DUMMY+$04

OBJECT rtgdimensioninfo
    width:LONG
    height:LONG
ENDOBJECT

OBJECT screenmode
    scrnode:mln
    name:LONG
    description:LONG
    graphicsboard:LONG
    modeid:LONG
    reserved[8]:ARRAY OF CHAR
    minwidth:LONG
    maxwidth:LONG
    minheight:LONG
    maxheight:LONG
    default:rtgdimensioninfo
    textoverscan:rtgdimensioninfo
    standardoverscan:rtgdimensioninfo
    maxoverscan:rtgdimensioninfo
    chunkysupport:LONG
    planarsupport:LONG
    pixelaspect:LONG
    vertscan:LONG
    horscan:LONG
    pixelclock:LONG
    vertblank:LONG
    buffers:LONG
    bitsred:INT
    bitsgreen:INT
    bitsblue:INT
ENDOBJECT


CONST GRD_DUMMY = TAG_USER
CONST GRD_WIDTH =  GRD_DUMMY + $01
CONST GRD_HEIGHT =  GRD_DUMMY + $02
CONST GRD_PIXELLAYOUT =  GRD_DUMMY + $03
CONST GRD_COLORSPACE =  GRD_DUMMY + $04
CONST GRD_DEPTH =  GRD_DUMMY + $05
CONST GRD_PLANESIZE =  GRD_DUMMY + $06
CONST GRD_BYTESPERROW =  GRD_DUMMY + $07
CONST GRD_MOUSEX =  GRD_DUMMY + $08
CONST GRD_MOUSEY =  GRD_DUMMY + $09
CONST GRD_BUSSYSTEM =  GRD_DUMMY + $0A

CONST GRD_Z3= 1      -> Zorro III Bus
CONST GRD_Z2= 2      -> Zorro II Bus
CONST GRD_CUSTOM= 3  -> Custom Chipset
CONST GRD_RGBPORT= 4 -> Board connected to RGB Port
CONST GRD_GVP= 5     -> GVP "special" Bus of GVP Turbo Board =  EGS110 GFX Board
CONST GRD_DDIRECT= 6 -> DraCo Direct Bus

CONST GRD_PLANAR    = 0 -> Non interleaved planar layout [X bitplanes/pixel]
CONST GRD_PLANATI   = 1 -> Interleaved planar layout     [X bitplanes/pixel]
CONST GRD_CHUNKY    = 2 -> 8-bit Chunky layout           [BYTE/pixel]
CONST GRD_HICOL15   = 3 -> 15-bit Chunky layout          [WORD/pixel]
CONST GRD_HICOL16   = 4 -> 16-bit Chunky layout          [WORD/pixel]
CONST GRD_TRUECOL24 = 5 -> 24-bit Chunky layout          [3 BYTES/pixel]
CONST GRD_TRUECOL24P= 6 -> 24-bit Chunky layout          [3 BYTEPLANES/pixel]
CONST GRD_TRUECOL32 = 7 -> 24-bit Chunky layout          [LONG/pixel]
CONST GRD_GRAFFITI  = 8 -> 8-bit Graffiti-type Chunky layout (very special...)
CONST GRD_TRUECOL32B= 9

CONST GRD_Palette= 0 -> Mode uses a Color Look-Up Table (CLUT)
CONST GRD_RGB    = 1 -> Standard RGB color space
CONST GRD_BGR    = 2 -> high-endian RGB color space, BGR
CONST GRD_RGBPC  = 3 -> RGB with lowbyte and highbyte swapped
CONST GRD_BGRPC  = 4 -> BGR with lowbyte and highbyte swapped

OBJECT screenreq
    screenmode:PTR TO screenmode
    width:LONG
    height:LONG
    depth:INT
    overscan:INT
    flags:CHAR
ENDOBJECT

#define SQ_EHB          Shl(1,0)   -> EHB selected (sq_Depth = 6)
#define SQ_CHUNKYMODE   Shl(1,1)   -> Chunky Mode selected
#define SQ_DEFAULTX     Shl(1,2)   -> Default Width selected
#define SQ_DEFAULTY     Shl(1,3)   -> Default Height selected

CONST SQ_NOOVERSCAN       =0
CONST SQ_TEXTOVERSCAN     =1 -> User settable, should be entirely visible
CONST SQ_STANDARDOVERSCAN =2 -> Standard overscan (just past edges)
CONST SQ_MAXOVERSCAN      =3 -> Maximum overscan (as much as possible)

OBJECT rtgscreen
    libbase:LONG
    libversion:INT
    pad1:INT
    graphicsboard:LONG
    reserved[20]:ARRAY OF CHAR
    mousex:LONG
    mousey:LONG
    c2pcode:LONG
    c2pdata:LONG
    c2pcurr:LONG
    c2pname[30]:ARRAY OF CHAR
ENDOBJECT
